## Gwy3DSetup Gwy3DSetup — 3D scene setup |

## Functions

Gwy3DSetup * | gwy_3d_setup_new ()

## Properties

gboolean | axes-visible | Read / Write
gboolean | fmscale-reserve-space | Read / Write
double | fmscale-size | Read / Write
gboolean | fmscale-visible | Read / Write
double | fmscale-y-align | Read / Write
gboolean | hide-masked | Read / Write
gboolean | labels-visible | Read / Write
double | light-phi | Read / Write
double | light-theta | Read / Write
double | line-width | Read / Write
Gwy3DProjection | projection | Read / Write
double | rotation-x | Read / Write
double | rotation-y | Read / Write
double | scale | Read / Write
Gwy3DVisualization | visualization | Read / Write
double | z-scale | Read / Write

## Types and Values

struct | Gwy3DSetup
struct | Gwy3DSetupClass

## Object Hierarchy

        GObject
        ╰── Gwy3DSetup

## Implemented Interfaces

Gwy3DSetup implements GwySerializable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

Gwy3DSetup represents a basic 3D scene setup: viewpoint, projection, light, scale, etc. It is serializable and used to represent the Gwy3DView setup.

Its components can be read directly in the struct or generically with `g_object_get()`. To set them you it is necessary to use `g_object_set()`.

## Functions

### gwy_3d_setup_new ()

    Gwy3DSetup *
    gwy_3d_setup_new (void);

Creates a new 3D view setup with default values.

#### Returns

A newly created 3D view setup.

## Types and Values

### struct Gwy3DSetup

    struct Gwy3DSetup;

### struct Gwy3DSetupClass

    struct Gwy3DSetupClass {
        GObjectClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
    };

## Property Details

### The `“axes-visible”` property

      “axes-visible”             gboolean

Whether axes are visible.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: TRUE

### The `“fmscale-reserve-space”` property

      “fmscale-reserve-space”    gboolean

Whethere to reserve entire vertical stripe of the false colour scale.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: TRUE

Since: 2.49

### The `“fmscale-size”` property

      “fmscale-size”             double

Size of false colour scale relative to view height.

Owner: Gwy3DSetup

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

Since: 2.49

### The `“fmscale-visible”` property

      “fmscale-visible”          gboolean

Whether false color bar is visible.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: FALSE

### The `“fmscale-y-align”` property

      “fmscale-y-align”          double

Vertical alignment of false colour scale.

Owner: Gwy3DSetup

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

Since: 2.49

### The `“hide-masked”` property

      “hide-masked”              gboolean

Hide masked vertices.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: FALSE

### The `“labels-visible”` property

      “labels-visible”           gboolean

Whether axis labels are visible if axes are visible.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: TRUE

### The `“light-phi”` property

      “light-phi”                double

Light source direction azimuth in horizontal plane, in radians.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: 0

### The `“light-theta”` property

      “light-theta”              double

Light source direction deviation from the z axis, in radians.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: 0

### The `“line-width”` property

      “line-width”               double

Width of axis lines and ticks, in pixels.

Owner: Gwy3DSetup

Flags: Read / Write

Allowed values: [1,10]

Default value: 1

Since: 2.42

### The `“projection”` property

      “projection”               Gwy3DProjection

The type of the projection.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: GWY_3D_PROJECTION_ORTHOGRAPHIC

### The `“rotation-x”` property

      “rotation-x”               double

Angle of the first rotation around x-axis, in radians.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: 0.785398

### The `“rotation-y”` property

      “rotation-y”               double

Angle of the second rotation around y-axis, in radians.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: -0.785398

### The `“scale”` property

      “scale”                    double

Overall view scale.

Owner: Gwy3DSetup

Flags: Read / Write

Allowed values: >= G_MINDOUBLE

Default value: 1

### The `“visualization”` property

      “visualization”            Gwy3DVisualization

Data visualization type.

Owner: Gwy3DSetup

Flags: Read / Write

Default value: GWY_3D_VISUALIZATION_GRADIENT

### The `“z-scale”` property

      “z-scale”                  double

Extra stretch along z (value) axis.

Owner: Gwy3DSetup

Flags: Read / Write

Allowed values: >= G_MINDOUBLE

Default value: 1

## See Also

Gwy3DView -- the basic 3D data display widget